<?php
/**
 * Plugin Name: Real Voice
 * Description: Versatile Text to Speech plugin for WordPress.
 * Version: 1.24
 * Author: DAEXT
 * Author URI: https://daext.com
 * Text Domain: real-voice-pro
 *
 * @package real-voice-pro
 */

// Prevent direct access to this file.
if ( ! defined( 'WPINC' ) ) {
	die();
}

// Shared across public and admin.
require_once plugin_dir_path( __FILE__ ) . 'shared/class-daextrevop-shared.php';

// Class to handle the audio files.
require_once plugin_dir_path( __FILE__ ) . 'inc/class-daextrevop-audio-files-management.php';

// Class to write custom CSS files.
require_once plugin_dir_path( __FILE__ ) . 'inc/class-daextrevop-write-css-file.php';

// Rest API
require_once plugin_dir_path( __FILE__ ) . 'inc/class-daextrevop-rest.php';
add_action( 'plugins_loaded', array( 'Daextrevop_Rest', 'get_instance' ) );

// Perform the Gutenberg related activities only if Gutenberg is present.
if ( function_exists( 'register_block_type' ) ) {
	require_once plugin_dir_path( __FILE__ ) . 'blocks/src/init.php';
}

require_once plugin_dir_path( __FILE__ ) . 'public/class-daextrevop-public.php';
add_action( 'plugins_loaded', array( 'Daextrevop_Public', 'get_instance' ) );

// Admin.
if ( is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

	// Admin.
	require_once plugin_dir_path( __FILE__ ) . 'admin/class-daextrevop-admin.php';
	add_action( 'plugins_loaded', array( 'Daextrevop_Admin', 'get_instance' ) );

	// Activate.
	register_activation_hook( __FILE__, array( daextrevop_Admin::get_instance(), 'ac_activate' ) );

}
